%define module	Algorithm-Cluster
%define name	perl-%{module}
%define version	1.35
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to Michiel Jan Laurens de Hoon's C clustering library
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Algorithm/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is an interface to the C Clustering Library, a general purpose
library implementing functions for hierarchical clustering (pairwise simple,
complete, average, and centroid linkage), along with k-means and k-medians
clustering, and 2D self-organizing maps. The library is distributed along with
Cluster 3.0, an enhanced version of the famous Cluster program originally
written by Michael Eisen while at Stanford University. The C clustering library
was written by Michiel de Hoon.

%prep
%setup -q -n %{module}-%{version}
perl -pi -e 's|^#!/usr/perl/perl580/bin/perl|#!/usr/bin/perl|' perl/examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README perl/examples
%{perl_vendorarch}/Algorithm
%{perl_vendorarch}/auto/Algorithm
%{_mandir}/*/*



%changelog
* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.35-1mdv2007.0
+ Revision: 133729
- new version

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import perl-Algorithm-Cluster-1.33-1mdv2007.0


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.33-1mdv2007.0
- New version 1.33

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2007.0
- New version 1.32
- better source URL
- use standard optimisations

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.31-2mdk
- Fix BuildRequires Using perl Policies
	- Source URL 
- use mkrel

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdk
- New release 1.31

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdk
- New release 1.30

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-2mdk 
- make test only once in %check
- spec cleanup
- fix examples shellbang

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.29-1mdk
- 1.29

* Wed Mar 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.28-1mdk
- 1.28
- add tests

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.27-2mdk 
- rebuild for new perl

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.27-1mdk 
- first mdk release

